Subject: C= ``Marketing'' Department's Last Good Decision ??
From: [email-masked] (Brian Patrick Lee)
Date: Wed, 4 May 1994 00:03:02 GMT
Newsgroups: comp.sys.amiga.advocacy,comp.sys.amiga.misc

According to ``The Secret Guide to Computers'' by Russ Walter,

``Commodore called it's new computer the PET, because C='s head of
marketing was the same guy who invented the Pet Rock.  He figured,
``If people are stupid enough to love a Pet Rock, they'll love a PET
Computer even more!''

Unfortunately, I can barely remember the '70's, but I *do* remember
those ridiculous Pet Rocks.  Russ Walter doesn't give a name for the
head of marketing--can anyone confirm this claim?  I think it might
have been C='s last decent marketing move.
--
Brian Patrick Lee <[email-masked]> <[email-masked]>
PGP Key available.  Opinions stated are personal.